Bug 506475 - numpy is needed for some Inkscape functionality
numpy is needed for some Inkscape functionality
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: inkscape (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-17 09:24 EDT by Nicu Buculei
Modified: 2010-06-28 09:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:05:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicu Buculei 2009-06-17 09:24:55 EDT
Description of problem: The numpy Python module is required for some Inkscape functionality, like extensions (render 3D Polyhedron, possibly some others).


Version-Release number of selected component (if applicable): 0.47 prerelease


Steps to Reproduce:
1. in Inkscape go to Extensions -> Render -? 3D Polyhedron
2. click Live PReview or press the Apply button
  
Actual results: An error dialog with the following text
Traceback (most recent call last):
  File "/usr/share/inkscape/extensions/polyhedron_3d.py", line 58, in <module>
    inkex.errormsg(_("Failed to import the numpy module. This module is required by this extension. Please install them and try again.  On a Debian-like system this can be done with the command, sudo apt-get install python-numpy."))
NameError: name '_' is not defined


Expected results: I am not sure what is the best way to follow here, but the dialog is ugly and uninformative (it talks about Debian):
- change the text from "sudo apt-get install..." so something more Fedora friendly like "pkcon install numpy" will still be ugly but more informative;
- making numpy a dependency the error will go away, but the install size will increase, lowering the chances Inkscape will ever get on some media (insanity: numpy will bring additional stuff, including libgfortran!);
- diasable in the menu hte extension which can't be used due to missing modules is probably a hard patch.
Comment 1 Lubomir Rintel 2009-11-03 14:19:59 EST
A work-around for the problem was added in package targeted for F-12:
inkscape-0.47-0.16.pre4.20091101svn.fc12
Comment 2 Bug Zapper 2010-04-27 11:01:29 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-06-28 09:05:56 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.